Package Details: rstudio-desktop 1.2.1335-1

Git Clone URL: https://aur.archlinux.org/rstudio-desktop.git (read-only)
Package Base: rstudio-desktop
Description: Open source and enterprise-ready professional software for the R community
Upstream URL: http://www.rstudio.com/
Licenses: AGPL
Conflicts: rstudio-desktop-bin, rstudio-desktop-git, rstudio-desktop-preview-bin
Submitter: None
Maintainer: flying-sheep
Last Packager: flying-sheep
Votes: 43
Popularity: 0.043438
First Submitted: 2011-03-04 15:02
Last Updated: 2019-04-10 11:05

Required by (0)

Sources (4)

Pinned Comments

Xentec commented on 2019-07-08 01:13

Got same error...

make: *** [Makefile:152: all] Error 2

With a bit of backtracking...

BUILD FAILED /tmp/makepkg/rstudio-desktop/src/rstudio-rstudio-f1ac345/src/gwt/build.xml:98: Error running javac compiler

So my javac binary decided to disappear even with jdk-openjdk installed, huh? Turns out I still had wrong Java version set as default and after executing

# archlinux-java set java-8-openjdk

ant was finally willing to build gwt and the Rstudio installation was complete.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

MaoCPU commented on 2016-11-03 17:13

Would it be possible to provide a ln from /usr/bin to /usr/lib/rstudio/bin/rstudio in the PKGBUILD?

flying-sheep commented on 2016-09-29 09:33

very weird… do you have any program-specific settings? (Alt-F3 → More Actions → Special …)

I do get a normal title bar.

However, this package is still not very usable as the Yes/No/Cancel dialogs don’t work (They always behave as if you clicked “Cancel”, so you can’t clear plots or save the workspace and exit, you have to kill RStudio)

greenisagoodcolo commented on 2016-09-28 23:19

Hello, I am using plasma and not getting a system title bar. This makes it impossible to resize to half screen...any thoughts or tips? much appreciated...love, greenisagoodcolor

flying-sheep commented on 2016-02-05 08:52

stuff in qt5-base:

QtConcurrent QtCore QtDBus QtGui QtNetwork QtOpenGL QtOpenGLExtensions QtPlatformHeaders QtPlatformSupport QtPrintSupport QtSql QtTest QtWidgets QtXml

so we’re missing:

qt5-declarative (for Qt5Quick and Qt5Qml)
qt5-location (for Qt5Positioning)
qt5-sensors (for Qt5Sensors)
qt5-svg (for Qt5Svg)
qt5-xmlpatterns (for Qt5XmlPatterns)

quite some stuff!

flying-sheep commented on 2016-02-05 08:42

will fix. for the record:

it’s mentioned in src/cpp/desktop/cmakelists.txt:

find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5WebKit REQUIRED)
find_package(Qt5WebKitWidgets REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Positioning REQUIRED)
find_package(Qt5Sensors REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5XmlPatterns REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5OpenGL REQUIRED)
if(UNIX AND NOT APPLE)
find_package(Qt5DBus REQUIRED)
endif()

markzz commented on 2016-02-04 18:08

There's a missing qt5 dependency. I'm not entirely sure which one, but after installing the entire qt5 group, it compiles fine. It would probably be a good idea to build this in a clean chroot to make sure you have all the dependencies in the PKGBUILD.

flying-sheep commented on 2015-12-16 12:36

jup, had to add a patch

jdarch commented on 2015-12-16 11:53

Is someone keeping this package up to date? Are there unmentioned reasons it is not at v0.99.489?

flying-sheep commented on 2015-07-13 08:36

pandoc-cabal, pandoc-static, ... provide it. haskell-pandoc doesn’t.

idk if haskell-pandoc or pandoc are the right thing to depend on.

pandoc-bin doesn’t provide any of those but probably should.

navi_se commented on 2015-07-10 12:57

Pandoc dependency is unavailable?